<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'bixo',

    /*
     * Package.
     */
    'package'   => 'discussion',

    /*
     * Modules.
     */
    'modules'   => ['discussion'],

    
    'discussion'       => [
        'model' => [
            'model'                 => \Bixo\Discussion\Models\Discussion::class,
            'table'                 => 'discussions',
            'presenter'             => \Bixo\Discussion\Repositories\Presenter\DiscussionPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'discussable_id',  'discussable_type',  'message',  'attachments',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'discussion/discussion',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Discussion',
            'module'    => 'Discussion',
        ],

    ],
];
