<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateDiscussionsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: discussions
         */
        Schema::create('discussions', function ($table) {
            $table->increments('id');
            $table->integer('discussable_id')->nullable();
            $table->string('discussable_type', 30)->nullable();
            $table->mediumText('message')->nullable();
            $table->text('attachments')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 20)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('discussions');
    }
}
