<?php

namespace Bixo\Discussions;

use DB;
use Illuminate\Database\Seeder;

class DiscussionTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('discussions')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'discussions.discussion.view',
                'name'      => 'View Discussion',
            ],
            [
                'slug'      => 'discussions.discussion.create',
                'name'      => 'Create Discussion',
            ],
            [
                'slug'      => 'discussions.discussion.edit',
                'name'      => 'Update Discussion',
            ],
            [
                'slug'      => 'discussions.discussion.delete',
                'name'      => 'Delete Discussion',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/discussions/discussion',
                'name'        => 'Discussion',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/discussions/discussion',
                'name'        => 'Discussion',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'discussion',
                'name'        => 'Discussion',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Discussions',
                'module'    => 'Discussion',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'discussions.discussion.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
