Lavalite package that provides discussions management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/discussions`.

    "bixo/discussions": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Discussions\Providers\DiscussionsServiceProvider::class,

And also add it to alias

    'Discussions'  => Bixo\Discussions\Facades\Discussions::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\DiscussionsTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Discussions\Providers\DiscussionsServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Discussions\Providers\DiscussionsServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Discussions\Providers\DiscussionsServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/discussions/{modulename}

**User**

    http://path-to-route-folder/user/discussions/{modulename}

**Public**

    http://path-to-route-folder/discussions


### API endpoints

**List**

    http://path-to-route-folder/api/user/discussions/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/discussions/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/discussions/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/discussions/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/discussions/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/discussions/{modulename}/{slug}
    METHOD: GET