Lavalite package that provides discussion management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/discussion`.

    "bixo/discussion": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Discussion\Providers\DiscussionServiceProvider::class,

And also add it to alias

    'Discussion'  => Bixo\Discussion\Facades\Discussion::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\DiscussionTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Discussion\Providers\DiscussionServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Discussion\Providers\DiscussionServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Discussion\Providers\DiscussionServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/discussion/{modulename}

**User**

    http://path-to-route-folder/user/discussion/{modulename}

**Public**

    http://path-to-route-folder/discussions


### API endpoints

**List**

    http://path-to-route-folder/api/user/discussion/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/discussion/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/discussion/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/discussion/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/discussion/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/discussion/{modulename}/{slug}
    METHOD: GET