<?php

// web routes  for discussion
Route::prefix('{guard}/discussions')->group(function () {
    Route::resource('discussion', 'DiscussionResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'DiscussionResourceController');
            });
            // Public routes for pages
            Route::get('discussions/', 'DiscussionPublicController@index');
            Route::get('discussions/{slug?}', 'DiscussionPublicController@show');
        }
    );
}

