<?php

namespace Bixo\Discussions;

use User;

class Discussions
{
    /**
     * $discussion object.
     */
    protected $discussion;

    /**
     * Constructor.
     */
    public function __construct(\Bixo\Discussions\Interfaces\DiscussionRepositoryInterface $discussion)
    {
        $this->discussion = $discussion;
    }

    /**
     * Returns count of discussions.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.discussion.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->discussion->pushCriteria(new \Litepie\Bixo\Repositories\Criteria\DiscussionUserCriteria());
        }

        $discussion = $this->discussion->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('discussions::' . $view, compact('discussion'))->render();
    }
}
