<?php

namespace Bixo\Discussions\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DiscussionTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Discussions\Models\Discussion $discussion)
    {
        return [
            'id'                => $discussion->getRouteKey(),
            'key'               => [
                'public'    => $discussion->getPublicKey(),
                'route'     => $discussion->getRouteKey(),
            ], 
            'discussable_id'    => $discussion->discussable_id,
            'discussable_type'  => $discussion->discussable_type,
            'message'           => $discussion->message,
            'attachments'       => $discussion->attachments,
            'user_id'           => $discussion->user_id,
            'user_type'         => $discussion->user_type,
            'deleted_at'        => $discussion->deleted_at,
            'url'               => [
                'public'    => trans_url('discussions/'.$discussion->getPublicKey()),
                'user'      => guard_url('discussions/discussion/'.$discussion->getRouteKey()),
            ], 
            'status'            => trans('app.'.$discussion->status),
            'created_at'        => format_date($discussion->created_at),
            'updated_at'        => format_date($discussion->updated_at),
        ];
    }
}